3.5.0 (December 17, 2010)
  Major Features
  --------------
  * You can now have multiple authors per article
  * Geolocations for each article - each article can be tagged with one or 
    more locations which you can display on an interactive map
  * New topics user interface (tree display with Ajax) with ability to search
    topics.  Drag and drop topics to reorder them,
  * Widget dashboard; the base set of widgets include: 
    o Pending articles
    o Most popular articles
    o Recently modified articles
    o Recently published articles
    o Submitted articles
    o Your articles
    o RSS feed reader
    o Any Google gadget
    o Images archive view
    o Media archive view
  * Page caching engine, speeds up your pages by between 8-50 times uncached 
    speed on production environments. Especially useful for VPS hosts where 
    APC or memcached is not available.
  * All article lists can now be filtered, sorted, and provide a custom 
    display of the columns.
  * If the user's session times out for security reasons, the user can log in 
    again and not lose their work.
  * During install, you now have the ability to choose the template set you 
    want to use.
  * You can now restore your entire site through admin interface by uploading 
    one of your backup files.
  * Password restore option (at last!)
  * Mass upload of files for attachments and photos.
  * New look and feel; article edit screen redesigned
  * Mobile templates
  * Improved default templates
  * The archive of files attached to articles can be managed in a new
    interface; audio and video files can be previewed
  * The install procedure was simplified
  * The template engine supports browser detection

  Minor Features
  --------------
  * The permission "User will be notified on several events"(which sends out 
    emails when something happens in the admin interface) is disabled by 
    default for all User types (a lot of you will really appreciate that one!)
  * More useful information in notification emails
  * Automatic calendar popup for date fields article type
  * Template Engine improvements:
    o List Articles in topic including subtopics
    o Ability to list articles ordered by last_update article property
    o Ability to display the image archive on the frontend
    o Sorting order for {{list_article_images}}


3.4.3 (October 04, 2010)
  New Feature
  -----------
  * [CS-38]   - Multiple template upload

  Improvement
  -----------
  * [CS-2188] - Multilingual site template set
  * [CS-2189] - Comments in classic template
  * [CS-2248] - Redesign upgrade process to disallow automatic start upgrade script after files copy
  * [CS-2263] - Update demo data (on campsite-design site)

  Bugs Fixed
  ----------
  * [CS-2022] - Article types in the sample package should have proper display name
  * [CS-2241] - Small fixes to custom sorting in Universal list
  * [CS-2243] - On upgrade error the displayed message is wrong
  * [CS-2244] - Opera & IE browsers doesn't support the login into admin interface
  * [CS-2245] - Site title, Meta keywords and Meta description doesn't support UTF-8 chars
  * [CS-2246] - On upgrade the system_preferences.php should be deleted
  * [CS-2250] - Very slow article edit page openning for non english version
  * [CS-2251] - Periodically PEAR::DB reports "Mysql connection error" on any hosting
  * [CS-2253] - Fixed administration session timelife
  * [CS-2254] - The installer should check if exec was enabled

  Task
  ----
  * [CS-1995] - Write howto for "news player" functionality
  * [CS-2014] - Add promotion elements to templates
  * [CS-2051] - Make use of automatically generated header metatags in sample templates
  * [CS-2056] - Use content from article fields to add metainfo automatically to page source
  * [CS-2247] - Sortable columns in the Universal List should have proper styling
  * [CS-2249] - Replace sample template package with the package from campsite-design.sourcefabric.org
  * [CS-2257] - Last tagged version in repository was 3.3.6. There are missed tags for 3.4.0, 3.4.1, 3.4.2

3.4.2 (August 23, 2010)
  Improvements
  ------------
  - CS-2166: Integrate Syntax Highlighter into Article Editor
  - CS-2232: Implement CSRF protection for article type operations
  - CS-2210: "Preview article" anywhere in lists and edit article screen
  - CS-2131: Write a text truncate modifier that works for UTF-8 text
  - CS-2187: Implement custom ordering in the article universal list
  - CS-2190: Use dropdown list for blog plugin mood selector
  - CS-2227: Add pagination below the Universal List as well
  - CS-2217: Return to last used page on session timeout

  Bugs Fixed
  ----------
  - CS-2229: TinyMCE camp plugins don't work
  - CS-2237: New/deleted plugins in filesystem are not correctly reflected
             in cache
  - CS-2230: Multi-linguality is not working for the admin interface
  - CS-2233: The delete operation from the publication edit screen fails
  - CS-2228: Add Article action fails
  - CS-2185: Universal List CSS issues (part 2)
  - CS-2215: Language codes need more letters
  - CS-2182: Traslation missing for some UI text
  - CS-2195: Blog plugin: Top bar, no filter the state of admin status
  - CS-2194: When adding a new blog post comment in the frontend the field
             "Title" does not exist in the form
  - CS-2239: Blog plugin: preview does not show the mood
  - CS-2238: Cache may return outdated settings
  - CS-2240: The plugins menu is not updated on plugin enable
  - CS-2242: Invalid security token when editing the article attachment description


3.4.1 (July 30, 2010)
  Improvements
  ------------
  - CS-2197: Implement CSRF (Cross-site request forgery) protection
  - CS-2214: General UI changes and fixes
  - CS-2179: Reduce the number of parameters in the articles search list
  - CS-2206: Improving session handling to avoid logged user session grabbing
             via CSRF atack

  Bugs Fixed
  ----------
  - CS-2171: On backup data restore the file system_preferences.php should be
             deleted
  - CS-2176: The restore script crashes if the files/images directory didn't
             exist in the package
  - CS-2177: Layout errors in the universal list
  - CS-2180: Campsite installer crashes on Windows
  - CS-2183: Missing default admin permission
  - CS-2184: Feedback not working
  - CS-2186: Universal List not working if topic has " in title.
  - CS-2201: Can't install a plugin
  - CS-2203: UTF strings not showing up properly in emails notifications
  - CS-2205: User input is not being filter out
  - CS-2208: Field values change in the universal list on failure
  - CS-2209: Pagination and sorting not working properly in staff-user-admin
             of campsite
  - CS-2219: Localizer doesn't support languages with different country code
             (e.g. zh_CN - simplified , zh_TW - traditional)


3.4.0 (July 8, 2010)
  Improvements
  ------------
  - CS-2048: Supernavigation and backend search: Implement a new navigation
             sytem on backend home page, including full text search.
  - CS-2028: Search engine optimization in URL: It allows to add in URL the
             combination of texts from article title, keywords, topics.
  - CS-1669: Order of topics: Ability to re-order the subtopics; the topics
             order is preserved on the frontend.
  - CS-1329: Time zone handling: It allows to set custom timezone instead of
             server's.
  - CS-1301: Backup/restore admin GUI: It allows to manage backup and restore
             process via administration interface.
  - CS-2087: Installation supports subfolder: It allows to install campsite
             not only in the root forlder but any subfolder.
  - CS-2085: Internal cron scheduler: It allows to manage cron tasks when the
             hosting has no cron daemon support.
  - CS-2130: New iconography for the admin interface, part of the UI
             re-design. Art work by Vladimir Stefanovic.
  - CS-1784: Customizable error page for not-found URLs
  - CS-1667: Incorporate Embed Media TinyMCE plugin
  - CS-1897: Advanced archive calendar as a standard: calendar widget that
             allows only the selection of dates of published issues/articles.
  - CS-1964: Thumbnail generation for article images by specifying fix
             width/height values
  - CS-2105: Make Campsite compatible with the newer, stricter MySQL version
  - CS-2101: Make the article indexer runnable in the UI with user specified
             parameters
  - CS-2070: Add possibility to show translation of
             {{$campsite->article->type_name}} filed in local language.

  Bugs Fixed
  ----------
  - CS-841: Campsite log should log Pending articles correctly
  - CS-1615: deb install package does not install with install/index.php
  - CS-1940: Campsite logs article duplication incorrectly
  - CS-2104: Poll plugin - Fatal error
  - CS-2121: undefined constant CS_PATH_SMARTY_SYS_TEMPLATES
  - CS-2136: getimagesize stucks when URL given is SSL
  - CS-2141: campsite_3.3.6-1_i386.deb install does not work properly
  - CS-2152: Tinymce editor stylesheet wrong path
  - CS-2153: The site title and cache status are not set on Campsite install
  - CS-2162: Some admin screens are shift
  - CS-2164: Error importing demo data
  - CS-2165: Campsite template engine crashes when the article embedded images
             description not wrapped in double quotes


3.3.6 (May 31, 2010)
  Improvements
  ------------
  - CS-2126: Make the upgrade process safer by not allowing multiple upgrade
             processes in parallel

  Bugs Fixed
  ----------
  - CS-747: Article list -> add article -> article added at bottom of list
  - CS-2095: Comment "Moderator Address", "From Address" saved but not
             displayed
  - CS-2096: The character set not initialized by the front end script
  - CS-2097: Assigning a phorum to a publication does not work
  - CS-2099: Poll plugin: clear cache after changes
  - CS-2102: The article must be unlocked on "Save and Close"
  - CS-2103: On user data save empty values are not initialized properly
  - CS-2107: On first entry to the login page the language in control box is
             English instead of default language in browser
  - CS-2108: The article order is broken on article create/copy/move
  - CS-2109: Log shows the same event when cache enabled
  - CS-2111: Template file cannot be removed if empty
  - CS-2113: HTTP_HOST is undefined in CLI environment
  - CS-2115: Fix SQL injection vulnerability
  - CS-2116: Add no-cache instruction in admin.php file to avoid caching
             admin interface
  - CS-2118: Remove warnings and notices
  - CS-2119: PHP CLI must be checked at installation time
  - CS-2120: Unsecure PHP scripts in the javascript directory
  - CS-2125: The upgrade/restore scripts crash when upgrading from 2.6 version
  - CS-2127: Objects are not updated in cache in certain circumstances
  - CS-2129: In the demo templates the logout link is truncated

  Compatibility updates
  ---------------------
  - CS-2114: Replace deprecated ereg functions
  - CS-2117: Update the Campsite dependencies to the latest versions
  - CS-2122: Resolve PHP 5.3 incompatibilities
  - CS-2128: The restore script does not read options


3.3.5 (Mar 8, 2010)
  Improvements
  ------------
  - #3040 - Added support for the <iframe> tag and iframe plugin to TinyMCE
  - #3066 - Implemented language based ordering in the article search
            results list
  - #3069 - Improved IP logging for comments when cache is used
  - #3072 - Elements automatically created by camp_edit, camp_select etc.
            validate in XHTML
  - #3082 - Classic templates default in Campsite installation
  - #3085 - Only files with the .tpl extension are displayed in template
            selection dropdowns

  Bugs Fixed
  ----------
  - #3046 - URI options "next_items" and "previous_items" not working in
            plugins lists
  - #3062 - The articles list is empty when issue or section not defined
  - #3063 - Cache keys for database objects do not match when using different
            character cases
  - #3065 - Preview does not work when switching the user in the same browser
  - #3067 - Topics list does not work properly when multiple languages were
            used and cache was on
  - #3068 - Replace obsolete function split() for future PHP compatibility
  - #3070 - Wrong PHP version is checked during installation process
  - #3071 - "Published" articles from "Not published" issue are listed in
            "list_articles" when ignore_issue or issue constraints used
  - #3075 - The list of issues does not accept the publish_date parameter
  - #3077 - Cannot select attachment file when description has quotes
  - #3083 - Email notifiers set invalid content type for email
  - #3084 - Bad pagination in poll plugin

3.3.4 (Dec 24, 2009)
  Improvements
  ------------
  - #3044 - Issue and section constraints to List of Articles now available
  - #3054 - Firefox spell checkers to check article fields is enabled by
            default

  Bugs Fixed
  ----------
  - #3037 - Changes to plugin objects not reflected in MetaClass objects
  - #3038 - Blog plugin's administration Screen does not update correctly
            when APC cache is on
  - #3041 - Comment-related elements of the Article Edit screen work
            incorrectly with APC caching on
  - #3046 - URI options "next_items" and "previous_items" not working in
            plugins lists
  - #3047 - IMG inserted via TinyMCE editor wrapped in <table> on site
  - #3051 - Conflicting sections can be created in different issue
            translations
  - #3052 - Cyrillic characters are not displayed properly in Tiny Campsite
            image plugin popup
  - #3053 - Special chars do not work properly in image caption and
            alternative texts
  - #3056 - Article reordering does not work when cache was enabled
  - #3057 - A recently published article does not show up on the frontend
            immediately
  - #3058 - Notice message breaks image display
  - #3059 - Slash character can not be used in the image description fields
  - #3060 - IP address authentication does not work

3.3.3 (Oct 16, 2009)
  Improvements
  -------------
  - #2877 - Add "anchor" button to make html anchors to rich text editor
  - #3014 - Add Campsite template highlighting to Editarea template editor
  - #3018 - Show topics attached to an article in a tooltip on mouseover
            in section view

  Bugs Fixed
  ----------
  - #2970 - Error in campsite-autopublish after upgrade to 3.3.2
  - #2971 - After upgrade to 3.3.2 the file .htaccess is rewrited to default
            version
  - #2972 - Table is added within paragraph when inserting images via editor
  - #2975 - Image resize ratio should not be a mandatory field in System
            Preferences
  - #2976 - Thumbnails generated from article images are very low-quality
  - #2978 - Text editor filters the anchor tag
  - #2979 - The Topic object is not cached when referred by name
  - #2980 - Some campsite properties not recognized if written in capital
            letters
  - #2981 - The article embedded image occupies a wide space if the caption
            was long
  - #2983 - Remove white spaces from the beginning and end of included files
  - #2985 - Removing an image from an article leads to the article edit page
            constantly reloading
  - #2998 - Upgrading from an earlier version breaks the admin user password
  - #2999 - Plugins are disabled after upgrade from an earlier version
  - #3004 - Missing strings for Interview and Blog plugins in Localizer
  - #3006 - Indexer is not filtering out invalid words and leaves out valid
            words
  - #3009 - Image resizing ratio is reset when editing the article
  - #3010 - Topics having names that contain digits are not recognized in the
            template language
  - #3013 - APC cache disturbes blog plugin
  - #3015 - Smarty template engine upgraded to latest stable version
  - #3017 - Remove notice messages from the campsite output
  - #3019 - The "Author" string is properly localized in the localizer, but
            localization is not reflected in the UI
  - #3020 - The topics list returns nothing when order option was used
  - #3021 - "Plugins" string in the menu is not using the proper localization
            function
  - #3025 - Article type fields of type switch do not work as documented
  - #3026 - Replace obsolete function split()
  - #3027 - Teaser modifier is not part of 3.3 branch
  - #3029 - The article indexer might crash when two indexing processes run
            at the same time
  - #3031 - Several localization strings are not detected in the plugins

3.3.2 (Aug 18, 2009)
  Improvements
  ------------
  - #2946 - Include Site Name in Admin interface title in the browser
  - #2947 - campsite-backup should use --skip-extended-insert
  - #2950 - Installer should warn about register_globals PHP setting to be OFF
  - #2960 - Expand the topic filtered articles list

  Bugs Fixed
  ----------
  - #2914 - Fix the automatic bug reporting in trac
  - #2930 - Add article topic field trys to clear cache while cache is not enabled
  - #2941 - Unable to delete an template, if (another one) is not readable
  - #2942 - Make sure template managment only access within templates folder
  - #2943 - cgi compatibility: implement bypass for apache_get_modules()
  - #2948 - System preferences are not saved in proper PHP syntax
  - #2949 - Using section select field in the search form crashes the template
  - #2951 - The article indexer does not filter out invalid words
  - #2954 - The value of the issue date input field can't be modified
  - #2955 - The URI function returns null if there was no published issue
  - #2956 - The articles list ignores false values of ignore_* options
  - #2959 - Warning messages when cache enabled and displaying URL
  - #2961 - Order the sections by name in the advanced search form popup list
  - #2962 - Wrong error message on login
  - #2963 - The calendar doesn't work in the search form when no translation found
  - #2966 - The publish date calendar in the article edit screen doesn't work
  - #2967 - Unable to convert the character set of the file
  - #2968 - Invalid syntax in sample templates
  - #2969 - The audioclip select window does not close on submit

  Other Tasks
  -----------
  - #2964 - clear templates_c on updates

3.3.1 (July 13, 2009)
  Improvements
  ------------
  - #2891 - Rename Entry/Entries to Post/Posts in the blog plugin
  - #2912 - Choose template on edit template screen
  - #2925 - Blog plugin: implement ignore_language, ignore_topic, ignore_blog, ignore_blogentry list parameters
  - #2932 - Blog plugin: implement unset_blog, unset_blogentry, unset_blogcomment
  - #2937 - Wrap subtitle in <span class="subtitle"> .. </span>

  Bugs Fixed
  ----------
  - #2265 - Internal links don't work if style or class is added to <a> tag
  - #2718 - Blog plugin: Allow HTML in blog posting text
  - #2800 - Plain text paste popup mangles valid HTML tags
  - #2876 - XML import does not support empty fields
  - #2902 - Sorting articles by comments works with unaproved comments too
  - #2913 - The configuration.php file is not regenerated by the upgrade script
  - #2915 - Update the manual link to 3.3
  - #2916 - APC can be enabled even it's not installed
  - #2918 - Crash on invalid admin URI
  - #2919 - Blog plugin: emoticons paths
  - #2920 - Article fields with names same as the existing article properties should not be allowed
  - #2921 - Tiny MCE doesn't read custom caption and alt text when image properties are re-edited
  - #2922 - Tiny MCE Insert Image popup defaults to first image regardless on what image is selected for re-editing
  - #2923 - Editarea template editor mess up lines on syntax highlighting
  - #2924 - The article content is dispayed for unpublished articles
  - #2926 - Error in advanced search
  - #2927 - The template engine cache is not used for the first request of a new reader
  - #2928 - Error upgrading when database name contains non alphanumeric characters
  - #2929 - Displaying a section URI when the section was not defined results in crash
  - #2931 - The import script crashes because of invalid include
  - #2935 - Poll plugin: warning message after voting
  - #2939 - Cache is not updated when saving the system preferences
  - #2940 - list_articles fails if topic was set

3.3.0 (June 24, 2009)
  Improvements
  ------------
  - #273  - New article-field types: switch and numeric
  - #2707 - Pluggable caching mechanism
  - #2708 - Caching in list classes
  - #2709 - Caching in all database access classes
  - #2852 - Rewrite (optimize) of the ArticleType and ArticleTypeField classes
  - #2855 - Cache the plugins list
  - #2856 - Cache the system preferences
  - #2858 - Various small optimizations
  - #2859 - Do not load the preview localization and syntax error processing
            when not needed
  - #2865 - Caching for static methods which return objects list
  - #2874 - Drop the database queries from the campsite date format filter
  - #2875 - Rewrite the get_image script to use the campsite cache
  - #2896 - Embed the processing of the article body field in the ArticleData
            class
  - #2628 - Log all events
  - #2805 - Incorporate Editarea for template editing
  - #2847 - Preference setting for images resizing inserted via TinyMCE
  - #2854 - Cache the template meta actions list
  - #2857 - Partial changes to make Campsite work in a subdirectory of the
            virtual host root directory
  - #2905 - Add Article Type name to the breadcrumbs in Article Type admin
            screens
  - #1933 - New section delete options
  - #2016 - Check All in User Permissions
  - #2760 - Localizer: Add count of empty fields and total fields for
            localization progress status
  - #2803 - Merge "Paste as Plain Text" and "Paste From Word" functions into
            a single popup
  - #2861 - Add favicon to default installation

  Bugs Fixed
  ----------
  - #2881 - Problem with deletion of single section on page
  - #2883 - It's not possible to add (more) staff user types
  - #2888 - Rename toolbar buttons for campsite plugins and insert web link
            plugin in TinyMCE
  - #2655 - Optimize the Meta classes comparison
  - #2851 - Object cache is not reset on key change
  - #2866 - The login form in the demo templates does not work
  - #2868 - Action classes crash when returning properties of type object
  - #2880 - Wrong URI of article is generated
  - #2897 - The admin interface does not allow longer language codes
  - #2903 - Unnecessary pagination shows up on Home
  - #2882 - Article edit screen is broken because of comments
  - #2898 - Article edit screen hangs on save if inet conntion fails
  - #2862 - User edit action and plugins management screens broken
  - #2863 - Error trying to save System Preferences
  - #2864 - Adding an existent image to an article fails
  - #2873 - XML Import should use native language names in the dropdown
  - #2900 - Quote database names in cli_script_lib.php
  - #2901 - TinyMCE offering unusable options in Section Description fields
  - #2910 - Some screens from the article type fields admin interface don't load the translations

3.2.3 (May 11, 2009)
  Bugs Fixed
  ----------
  - #2848 - Unable to create article types
  - #2849 - Installer displays warnings related to session initialization
  - #2850 - Tiny media plugin is not localized

3.2.2 (May 08, 2009)
  Improvements
  ------------
  - #2216 - Article attachments in article edit mode via TinyMCE editor
  - #2654 - Image shrinking for images inserted by TinyMCE
  - #2665 - Integration of Media TinyMCE plugin and Article media files
  - #2802 - Add image derivates cache
  - #2832 - Rename "Import legacy archive" into "Import XML" in Actions menu
  - #2835 - List most recently commented articles and most recent comments
  - #2837 - Ordered "Clear System Cache" and "Import Legacy Archive" in
            Action Menu
  - #2838 - List most recent comments / most recently commented articles
  - #2839 - Implement custom size parameters for text edit fields
  - #2843 - Plugin manager: implement plugin update functionality

  Bugs Fixed
  ----------
  - #2717 - Blog plugin: Add confirmation for user that images have
            successfully uploaded
  - #2719 - Blog plugin: Add option to automatically resize image
  - #2730 - Adding new content to the blog is broken because of the lack of
            validation
  - #2741 - Blog plugin: Allow some HTML tags
  - #2772 - Information about writable directories is missing
  - #2776 - It's not possible to create new interview
  - #2787 - Blog plugin: published/creation date renamed
  - #2789 - Interview plugin admin: input validation failed
  - #2793 - Article edit screen: >Save All< does not save topic fields
  - #2810 - Adding a blog on new install, without having image generates error
  - #2811 - Comments not appearing in admin interface
  - #2820 - Import script doesn't report omitted content
  - #2821 - Password strength meter rates passwords generated by strong
            password generartor as weak
  - #2823 - Login action always returns error
  - #2824 - The sections list is empty when the issue or language were not set
  - #2825 - The issues list is empty when the language was not set
  - #2826 - Garbage remains in the database after article delete
  - #2827 - Misspelled list name in search list error reporting
  - #2828 - The subscription by publication action is not handled properly
  - #2829 - Constraints in articles list do not accept dynamic fields
  - #2830 - Type parameter in articles list constraints does not accept case
            insensitive values
  - #2833 - Blog plugin: form smarty plugins does not respect template
            parameter
  - #2834 - Advanced setup and sytem preferences screen are not documented
  - #2836 - Blog plugin: delete child object on delete blog/blogentry
  - #2840 - Invalid article selection in articles list on topic exclude
            constraint
  - #2841 - Crash when submitting comments
  - #2842 - Blog plugin: Column "published" have to replaced by "date"
  - #2844 - Interview plugin: Fix the limit parameter for lists
  - #2845 - Poll plugin: Fix the limit parameter for lists

3.2.1 (March 31, 2009)
  Improvements
  ------------
  - #2769 - Import of legacy archives from other CMSs and HTML
            (base implementation)
  - #2780 - Implement template languages list for site, publication,
            issue, article
  - #2773 - List articles by Author
  - #2615 - Implement order by Number in the list of topics and subtopics
  - #2254 - Ability to print user name/real name of subscriber with comment
  - #2745 - Strong password generator
  - #2804 - Add 'preview' template attribute

  Bugs Fixed
  ----------
  - #2761 - Preview mode url parameters are missing from URI
  - #2792 - set_publication does not change the publication alias
  - #2783 - Upgrading from 2.6 leaves users table in inconsistent state
  - #2784 - Users synchronize script does not work for inconsistent data
  - #2807 - Part of the article data is not set upon article creation
  - #2812 - The article image number not updated in the admin interface
  - #2775 - It's not possible to create new blog
  - #2785 - urlparameters does not insert the article number if the
            options="article" parameter was missing
  - #2782 - Upgrade crashes on invalid rights id sequence
  - #2790 - Upgrade continues on article field conversion error
  - #2791 - Translation strings are missign from set author and users screens
  - #2794 - The blog plugin doesn't respect topic enviroment/constraints
  - #2797 - Advanced search crash when 'index' scope was specified
  - #2799 - The meta date time class throws error on empty values
  - #2806 - Article edit screen crash for non-assigned articles
  - #2817 - The sections are not ordered in the admin content menu

3.2.0 (March 06, 2009)
  Improvements
  ------------
  - #1791 - Use Ajax to save article screen
  - #2312 - Swap out Xinha for TinyMCE
  - #2538 - Advanced article search
  - #2542 - Ajaxization of WYSIWYG editor
  - #2561 - Article Statistics: Most Commented
  - #2596 - Replace PLUGINS_DIR by CS_PATH_PLUGINS (Plugin API)
  - #2598 - Plugin localizer
  - #2602 - Password strength meter and automatic strong password generator
  - #2620 - Implementation of a blog plugin
  - #2645 - Improvementes to the plugins API
  - #2668 - Log Article edited/modified action
  - #2669 - Rewrite the article statistics API to work in real time
  - #2672 - Add static Author field
  - #2681 - Implement article publish_date in list articles constraints
  - #2689 - Make TinyMCE status bar (where it prints current breadcrumb of
            html structure) toggable via permissions
  - #2690 - Implement dynamic update of the author
  - #2736 - Section description should not be a mandatory field

  Bugs Fixed
  ----------
  - #1750 - Home page should show locked status of articles
  - #1799 - Home Page: Add "Most recently modified" articles
  - #1800 - Home Page: Your Articles: show when an article will be published
  - #1936 - users/index.php uses SQL directly in the HTML file
  - #2550 - Fixing Xinha editor
  - #2612 - Database can be overwritten at installation time without warning
            the user
  - #2626 - Plugin installer does not set proper rights
  - #2638 - Bugs/improvements to the Interview plugin
  - #2639 - Bugs/improvements to the Poll plugin
  - #2656 - Poll plugin crash when browsing categories in article edit screen
  - #2674 - Articles list incomplete when 'reads' attribute specified
  - #2688 - Fix the way of printing the parameters in the URLs
  - #2693 - The language is not set correctly for localizer in
            camp_select statement
  - #2695 - Advanced search is CASE_SENSITIVE while it should be not
  - #2697 - Poll: set default charset to utf8
  - #2700 - The search engine indexer skips words
  - #2702 - Comments in local language (russian) shown as unconverted
            utf8 in Admin & on front-end
  - #2703 - The comment data may be broken on concurrent inserts
  - #2704 - Installing on apache without APC results in crash
  - #2706 - Poll plugin: admin interface doesn't show fields according to
            the choosen number of answers
  - #2712 - Blog classes need to set published datetime automatically
  - #2713 - Changing the language in the template invalidates the
            issue/section/article objects
  - #2723 - Liveuser db connect error
  - #2732 - Problem with installer and non-existing apache crontab
            (cron table for user apache)
  - #2738 - Unicode screwed up in default database
  - #2749 - Restore script fails due to duplicated key
  - #2750 - Blog admin lists foreign entries
  - #2751 - List of articles with ignore_language doesn't work well

  Other Tasks
  -----------
  - #2597 - Keep plugin files below /plugins/

3.1.2 (October 31, 2008)
  Improvements
  ------------
  - #2623: Like operator for strings in searching
  - #2625: Allow accessing of time in published articles
  - #2634: Make Campsite more friendly to shared hosting
  - #2637: Allow image resize when displaying article images

  Bugs Fixed
  ----------
  - #2310: Username restrictions problem
  - #2499: Array expected as argument: Fixed since 2.7 release
  - #2528: Unset include path for PEAR classes
  - #2530: PEAR error when trying to post a comment
  - #2551: Syncing Phorum and Campsite users fails in data type validation
  - #2573: User login error on inconsistent databases
  - #2593: Update user permissions fails in some specific conditions
  - #2595: QuickForm PEAR package missed for Interview plugin
  - #2610: The value of the article custom fields of topic type is not correct
  - #2621: Unsetting issue in local behaves different than in previous versions
  - #2622: MetaDateTime class file is not correct, __autoload() fails
  - #2624: Invalid property remember_user of object login
  - #2629: Poll plugin fails in form interactions
  - #2630: Article search is slow on big databases
  - #2633: Plugin warnings: "Call-time pass-by-reference has been deprecated"
  - #2636: Crontab overwritted when multiple Campsite instances are installed

3.1.1 (July 29, 2008)
  Small Improvements
  ------------------
  - #2445: Creating standardards/API for campsite plugins
  - #2606: Add a nickname field to the comment form
  - #2607: Implement a way to remember the user upon login
  - #2609: Update the Russian and Belarusian translations
  - #2600: Implement an attribute that returns the number of
  articles in the search action

  Bugs Fixed
  ----------
  - #2599: Localizations for poll/interview plugins
  - #2601: The installer has to check for more permissions
  - #2605: Run the plugin install code at activation
  - #2608: Reimplement the missing date attributes in date formatting

  Other Tasks:
  - #2563: Test the PHP template engine under stress

3.1.0 (July 04, 2008)
  Improvements
  ------------
  - #1549: Install cron jobs all at once
  - #2176: Implement a statement that will display the whole
  article body
  - #2362: Check for topics in articles in template language
  - #2484: Online interview module
  - #2522: Security checks
  - #2536: Introduce permissions based on sections for staff users
  - #2552: Allow plugins to register attributes in Campsite context
  - #2560: Article statistics: Most Read
  - #2564: Make Ubuntu package
  - #2565: Special values for ComparisionOperation class
  - #2566: Show number of articles in each section
  - #2579: Beginning of the plugins API
  - #2584: Implement a method to upgrade the database on new install

  Bugs Fixed
  ----------
  - #2366: Fix image handling
  - #2449: Crash when uploading image
  - #2577: Unexpected error in comments when the thread id did not
  exist in phorum
  - #2578: The order of the order fields is not preserved in lists
  - #2589: Subscription form set to paid by default


3.0.3 (June 06, 2008)
  Bugs Fixed
  ----------
  - #2581: Lists loop over the content more times than needed.
  - #2582: The internal link popup crashes with error message.
  - #2583: Internal links are not processed in certain conditions.
  - #2574: After all permissions are granted to an user, it is not
  possible to remove permissions from him by unchecking single
  checkboxes.
  - #2580: Bad template path in template conversions

3.0.2 (May 26, 2008)
  Bugs Fixed
  ----------
  - Syncing campsite and phorum users still queries Users table
  which is no longer in use.
  - Introduce text button for preview, get rid of the magnifying
  glass icon in the article edit screen.
  - Fixed a typo in the French language definition.
  - Fixes in all form statements in the template language: do not
  set the hidden tpl parameter when the template was not defined,
  set the template based on the given parameters, code cleanup,
  added new error message for invalid template error.
  - Fixed invalid error message when the issue, section or article
  template was not set.
  - Fixed bug in phorum user creation: do not set the user id
  manually, the user id is an autoincrement key.
  - The topic parameter is not set in the URI when the topic was
  defined.
  - Fixed error reporting in issue, section and article lists;
  added new error message.
  - In article comments list initialize the default order to the
  thread order.
  - Fixed the htaccess file for the windows install.
  - HTML coding fixes.
  - Small fixes in the INSTALL file.
  - Fixes in the default demo templates.
  - Fixed declarations for operators greater_equal, smaller_equal.
  - Fixed the version display in the admin interface.

3.0.1 (May 06, 2008)
  - Many bug fixes in the template converter and the template engine

3.0.0 (April 23, 2008)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=3.0.0

  Major Improvements
  ------------------
  - The template engine was rewritten in PHP for better performance,
  more flexibility, easier development, plugin architecture, fewer
  dependecies and easy install.
  - The install procedure is much easier thanks to a web based
  installer.
  - A caching mechanism for database objects was implemented. This
  will result in fewer database queries and greater speed and
  scalability.

  Small Improvements
  ------------------
  - Variables for storing temporary data can be used in the template
  language.
  - Boolean expressions can be used in "if" statements.
  - Many new small features in the template language.
  - The web based installer provides a default demo package for
  easier learning of the template language.
  - Removed the constraint of having at most one limitted list of a
  certain type in a template.

2.7.0 "Tomas" (March 12, 2007)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.7.0

  Major Improvements (4 total)
  ----------------------------
  01) #2326 - Attach Campcaster audio files to Campsite articles
  02) #2327 - Upload audio files to the LS database from within Campsite
  03) #2328 - Single sing-on
  04) #2330 - Offline editing/Synchronizing Articles with Another Server

  Small Improvements (6 total)
  ----------------------------
  01) #2199 - Login screen should display the instance name
  02) #2218 - Possibility to review attachments in admin interface
  03) #2220 - Provide section description as property of section
  04) #2224 - Possibility to copy/move/rename templates
  05) #2281 - Show max upload file size in file attachment window
  06) #2283 - Show additional info in the ATTACHMENT EDIT screen
  07) #2436 - Mailout for article comments

  Bugs Fixed (14 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2282 - Image attachments do not show in the browser
  02) #2299 - Non-template files are not displayed properly
  03) #2300 - "Move template" screen should not refresh when you
              choose a directory
  04) #2301 - Do not show current directory in "move template" screen
  05) #2303 - Template screen "select all" and "select none" do not
              work when non-template files are around
  06) #2309 - Deleting a template folder does not record anything in Log
  07) #2316 - Error adding attachment to an article
  08) #2343 - Attachments: Put download icon next to file name
  09) #2373 - ARTICLE LIST CSS broken
  10) #2388 - Campcaster session is not closed when user logout
  11) #2390 - Attach an audioclip to a specific translation of an article
              does not work
  12) #2394 - Ordering button works even when there is no audioclips
  13) #2398 - Bad visualization on Comments index page
  14) #2401 - The title is not retrieved properly when uploading an audioclip
  15) #2402 - The album is not retrieved when uploading an audioclip

2.6.7 (February 23, 2007)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.7

  Small Improvements (2 total)
  ----------------------------
  01) #2421 - Improve the comments management UI
  02) #2422 - Base files for the .deb package

  Bugs Fixed (13 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2407 - Error in localizer when the source language was not defined
  02) #2412 - Error when an image was deleted from the article but the
              link to it from the article content was not
  03) #2413 - Check for PHP GD fails
  04) #2418 - Bad includes in ad.php and ad_popup.php generates errors
  05) #2420 - Ugly error message when can't connect to the MySQL server
  06) #2423 - When using translate feature some properties of original
              article are lost
  07) #2425 - Campsite and phorum users may become unsynchronized
  08) #2427 - Phorum user is not initialized properly when submitting a
              commment
  09) #2429 - Error posting comment
  10) #2430 - Localizer error message when logging in
  11) #2431 - Error when editing article: Undefined index: TOL_Language
  12) #2432 - Error when upgrading the database from 2.6.0
  13) #2434 - Error processing requests in the template engine

2.6.6 (January 26, 2007)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.6

  Small Improvements (1 total)
  ----------------------------
  01) #2409 - Update Serbian and Serbo-Croatian localizations

  Bugs Fixed (2 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2408 - The template engine skips empty parameters
  02) #2410 - Fix phorum configuration issue

2.6.5 (January 23, 2007)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.5

  Bugs Fixed (7 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2391 - Error when duplicating an empty template
  02) #2396 - campsite-upgrade-instances fails when run from bin folder
  03) #2397 - The image link is not processed when saving the article
  04) #2399 - Messages posted in Phorum break the comment list in the
              frontend
  05) #2400 - The template engine can't read the request in some instances
  06) #2405 - Invalid pager functionality in section article list
  07) #2406 - The install script allows invalid etc directory

2.6.4 (January 11, 2007)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.4

  Small Improvements (3 total)
  ----------------------------
  01) #2359 - Hack for integration with Cream on subscription management
  02) #2382 - Improve selection by topic in articles list
  03) #2383 - Replace ImageMagic with PHP GD

  Bugs Fixed (5 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2375 - Translated topics are shown twice in article edit screen
  02) #2376 - Error when executing user subscription page
  03) #2377 - Error: Undefined variable 'key' in Localizer.php:78
  04) #2381 - "Reset search form" link broken in Users search screen
  05) #2384 - Phorum images in the admin area are broken

2.6.3 (October 30, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.3

  Bugs Fixed (9 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2356 - User password change not working
  02) #2357 - System failure when trying to edit a user (only
              affecting updated installations)
  03) #2360 - Extra character encoding when using template path URL
  04) #2361 - Changes to system preferences are not logged
  05) #2363 - Minor security hole
  06) #2364 - Incorrect handling when xorkey is not set in session
  07) #2365 - Autopublish script can't detect the document root
              directory
  08) #2367 - Error when managing many comments
  09) #2368 - The upgrade script fails to create phorum users

2.6.2 (October 30, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.2

  Improvements
  ------------
  - Phorum and Campsite better integration

  Documentation
  -------------
  - Documented cron jobs in the manual
  - Documented the new article types screens
  - Updated the 'Creating a publication' chapter in the manual
  - Updated the 'Defining Article Types' chapter in the manual
  - Updated the chapter 'Editing Articles' in the manual

  Bugs Fixed (27 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2295 - Deleting a template within a subdir does not take care if it
      is in use.
  02) #2296 - Upgrading from versions older than 2.5 generates an error
  03) #2297 - Some links are incomplete in the template screens
  04) #2298 - In debug mode some messages are displayed before headers
  05) #2308 - Error in template management when trying to edit a
      non-existent file
  06) #2311 - Bad visualization of the System Preferences form (firefox)
  07) #2313 - URLParameters and URI statements print invalid image number
  08) #2315 - Create/restore instance utilities don't work on names with
      spaces
  09) #2317 - Error in user management when deleting an IP addresses group
  10) #2318 - Replace to a template file does not work because
      mime_content_type() is missed
  11) #2319 - Changing the number of an image to existing number does not
      inform the user that the number was not changed
  12) #2323 - Error in section management when adding a new one
  13) #2325 - Error in publication management when adding a new one
  14) #2332 - Bug in template 02-04 v2
  15) #2334 - Error changing the last sentence of an old article published
      inside the secondary publication.
  16) #2335 - Adding a subscription section gives an error.
  17) #2337 - "Article Type Fields" row colors do not alternate properly
  18) #2338 - Support for Apache 2.2
  19) #2339 - Merge article types crashes on articles containing quote
      character
  20) #2342 - Error trying to delete a comment
  21) #2344 - Security fix
  22) #2345 - Unable to submit subscription section form unless individual
      language is choosen
  23) #2346 - Sort comments by most recently added by default
  24) #2347 - Dont show top-level placeholder comments in Comment
      management
  25) #2348 - Undefined index: HTTP_REFERER in user subscription
  26) #2349 - Register globals vulnerability
  27) #2353 - Bug when deleting an entire page of articles in Article List
      interface

2.6.1 (August 22, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.1

  New Features
  ------------
  - Added verbosity to campsite-create-instance - i.e. it tells you
    what it is doing now.
  - In the Article Edit screen, you can now change the time the article
    was published.
  - User is not allowed to add images, attachments, or templates if the
    target directory is not writable.
  - A 'Save and Close' button has been added to the Article Edit Screen
    even when an article is 'Pending'/'Unplaced'.
  - All sample templates are now available for 2.6.X
  - Campsite is now part of the Free Software Foundation/UNESCO directory:
    http://directory.fsf.org/campsite.html
  - A Dutch translation was added

  The following translations were updated:
  - Russian
  - Romanian
  - Spanish

  Bugs Fixed (32 total)
  ---------------------
  Bugs are listed in order of oldest to newest.

  01) #2175 - Failure to detect if php-session package was installed
  02) #2178 - 'campsite-remove-instance' fails
  03) #2179 - Error in template engine when dealing with date-time fields
  04) #2181 - Clicking on "Add Article" sometimes gives an error
  05) #2187 - Localizer loses "hide translated strings" preferences after
      every save
  06) #2191 - Error restoring backup file using -e option when the target
      instance does not exist
  07) #2213 - On the Article Edit page, the "Link to public page" doesn't
      include publication url in url
  08) #2230 - campsite-restore-instance script fails when 'pushd' and
      'popd' arent in the system
  09) #2239 - When duplicating a template, if the user sets an already
      existing name campsite returns to template duplicate screen without
      posting an error.
  10) #2241 - There was a crash sometimes when trying to duplicate a new,
      unassigned article
  11) #2242 - Problem localizing Arabic (R-T-L languages)
  12) #2244 - Template keyword "firstParagraph" doesn't work in some
      circumstances
  13) #2246	- Attachments listed in different order on the frontend
      compared to the backend.
  14) #2249 - Crash when adding existing image to article
  15) #2250	- Invalid link to article in the edit page: When editing a
      translated version of an article the "Link to public page" is not
      generated correctly: the issue and section URL names are taken from
      the default language version instead of the translation version.
  16) #2253 - Some cells on home page not vertically aligned properly
  17) #2257 - Sections not deleted properly.
  18) #2259 - Unable to list all images in an article
  19) #2260 - The template engine crashes when requesting the home page
      (http://site/[lang_code]) for a language that is not the default
      publication language.
  20) #2261 - When previewing an article in a different language than the
      section language the preview link contains the section language
      instead of the article language.
  21) #2262 - Duplicate article screen - if you dont select an article
      to duplicate, there is a crash
  22) #2263 - Javascript error when logging in under IE
  23) #2264 - Arabic language shows a javascript error in the article
      edit screen
  24) #2267 - ArticleImage->getImage() doesn't return the Image object
  25) #2268 - Strings with double quotes are truncated in article edit
      screen inside of single-line text fields
  26) #2269 - Campsite doesn't compile on 64 bit systems
  27) #2272 - When the database character set was UTF8, trying to create
      the Campsite database returns an error
  28) #2274 - Article can be half-placed (for example, it can belong to
      publication and issue, but not a section) when creating an unplaced
      article
  29) #2277 - Subscriptions are not added correctly to the database
  30) #2284 - Attached files with spaces in their names do not have
      correct name when you download them
  31) #2285 - Duplicating an article does not respect preferences for
      whether comments should default to enabled
  32) #2290 - Cannot edit an existing language


2.6.0 "Joey" (July 10, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.6.0

  Major New Features
  ------------------
  - Frontend users can post comments on articles & comments can be
    moderated by the staff.
  - 'Article Types' screen re-engineered with the ability to rename
    article types, to translate them, to hide or show them, and merge
    them together. Article Type Fields can be renamed, translated,
    hidden, and can change types.
  - Improved security for the login screen.  The password is encrypted
    when it is sent to the server, and if too many unsuccessful login
    attempts are made, a CAPTCHA (an image with text inside) is
    displayed. This prevents automated scripting attacks trying to
    guess passwords.
  - Improved responses to user interaction.  The system now displays
    which action the user just performed and gives a detailed
    explaination if a particular action cannot be performed.
  - If an error occurs in the admin interface, an automated bug reporter
    takes over and allows the user to submit the bug back to the
    Campsite team automatically.  This takes away any extra effort on
    the part of the users to submit a bug and will allow quick
    resolution of anything that comes up.
  - Staff users can submit feedback directly to the Campsite team from
    within the interface.
  - Improved backup/restore scripts: you can now transfer your site
    to another server using these scripts.  Backup file are now tagged
    with the date and time of the backup.  Lots of help
    documentation has been added as well as detailed status messages
    during execution.

  Minor Features
  --------------
  - A 'Save and Close' button has been added to the bottom of the
    'Article Edit' screen
  - Improved layout of the Article Edit screen - more compact, more
    obvious switching between the "Edit/View" modes, and the time the
    article was saved is displayed.  The article number has been added,
    as well as a link to the frontend page.
  - When an article is locked, you are given the option to view it
    without unlocking it.
  - #1844: Section number is now displayed in the Section configure
    screen
  - #1884: Better installation procedure for the "Parser options"
    section
  - #1927: Xinha image popup now defaults to first image selected
  - #2070: Added ability to replace a template file
  - Template line numbers are now shown so it is easier to debug any
    errors in the template.
  - Template IDs are shown in the template list & template edit screen,
    these are sometimes needed when creating a template file.
  - #2069: Added the ability to view template images
  - #2074: Added ability to toggle "On Front Page" and "On Section Page"
    from the "Article List" screen
  - #1676: Added ability to delete an issue even if it has articles in
    it
  - #2052: When deleting a section, there is no need to ask whether to
    delete all articles from the section
  - #2050: Automatically place cursor in the first text box for relevant
    screens
  - #2048: Added ability to publish an issue from the issue configure
    screen.
  - #1633: Issue scheduled publishing is now combined with the Issue
    configure screen
  - #1997: The search now works across multiple publications
  - A number of things were done to speed up the Admin interface
  - API improved & simplified

  Template Language Improvements
  ------------------------------
  - You can now specify the time format (hours, minutes, seconds, AM/PM)
    for time values.
  - #2034: Added ability to set topic by ID and show topic ID
  - #2071: Implemented "List Images" statement
  - #2007: Template EDIT statements can now have arbitrary HTML added
    to them
  - #1828: Added ability to set "Language OFF"
  - #1713: Added URL statement, equivalent of:
    <!** print publication site><!** uri>
  - identifiers in the template language can contain the double quote
    character (")

  Bugs Fixed
  ----------
  01) #1919: Inserting image fails when caption and alt text erased in
      Xinha popup
  02) #1585: URL type is not localized
  03) #1685: Article attachments sometimes have the wrong file name when
      you download them
  04) #1789: When deleting a section, only delete the articles of the
      same language as the section
  05) #1821: Changing a user type does not change permissions for all
      users of that user type
  06) #1827: Add "Other" option to user employer type
  07) #1865: Creating an article with a duplicate name gives an
      uninformative error
  08) #1908: If you try to save the publication without changing
      anything, you get an error.
  09) #1914: Campsite Indexer and other scripts should display the
      instance name
  10) #1918: Issue edit screen allows issues with number 0
  11) #1939: Trying to use an issue number that already exists crashes
  12) #1946: 'Add attachment' gives an uninformative error message when
      the server is not able to write the file to the destination
      directory
  13) #1938: Adding a new subscription crashes when there are no issues
  14) #1949: No error given if there is a problem uploading an image
  15) #1975: On the frontend, the subscription form javascript doesn't
      work when some fields are predefined
  16) #1763: Article Edit: Going into view mode should automatically
      unlock the article
  17) #1767: Deleting an article type doesnt warn you that you will
      delete all articles of that type
  18) #1943: Message not clear enough when deleting an issue that
      contains articles.
  19) #2037: Preview function is broken with multiple publications
  20) #2112: Home page broken when user doesnt have "ChangeArticle" and
      "Publish" permissions
  21) #2080: Dont allow campsite-backup-instance and
      campsite-restore-instance to be run as non-root.  It wasnt possible
      previously, but now we give a better error message.
  22) #2084: Fixed bug where the javascript calendar did not show up for
      the following languages: Romanian, Russian, French, Italian,
      Portuguese, and German.
  23) #2064: "System Preferences" section missing from Localizer
  24) #2039: Install fails on Ubuntu Dapper
  25) #2057: Deleting an Issue does not delete its Scheduled publishing
      entries
  26) #2058: Deleting article does not delete its scheduled publishing
      entries
  27) #2018: In IE, various png files aren't transparent
  28) #2053: Article List -> Translate -> back to article List ->
      suddenly the language in "Article List" is selected (wrong)
  29) #2012: Internal/External links dont work when upgrading from 2.1
  30) #2051: Duplicate section -> pull down for "publications" doesnt
      always work
  31) #2045: When editing an alias, and you save with the same name as it
      already has, it gives you an error
  32) #1971: If you edit Topic and change the name to an existing topic
      name, it give you an error
  33) #1968: Creating a folder with ".." throws an error
  34) #1991: Localizer "Hide translated strings" checkbox doesnt work
      on IE
  35) #1990: Permissions not enforced for the localizer
  36) #2143: When adding an image, adding a non-URL to the URL field
      would cause a crash.
  37) #2122: No way to specify empty password for
      campsite-create-instance
  38) #2110: Creating a duplicate template name produces a crash
  39) #2105: Unsafe template deletion


2.5.2 (May 11, 2006)
  New Features
  ------------
  - Added Korean localization

  Bugs Fixed
  ----------
  - Article internal links don't work for multiple publications
  - Demo templates don't display the correct article in "About us" section
  - The script campsite-create-instance was not set executable


2.5.1 (April 10, 2006)
  New Features
  ------------
  Full localizations for the following languages were added:
  1.  French (new!) (Rokhaya Ndiour)
  2.  Arabic (Read Neshiewat <raed@raednesh.com>)
  3.  Croatian (Marinko Filipović <marinko.filipovic@gmail.com>)
  4.  German (Micz Flor <micz.flor@web.de>)
  5.  Portugues (Guilherme Henrique Soares <ghsoares@publicor.pt>)
  6.  Romanian (George Hari Popescu)
  7.  Russian (Andrei Blagorazumov <a@fnr.ru>)
  8.  Serbian (Cyrillic) (Ljuba Rankovic <sr-localizer@campware.org>)
  9.  Serbo-Croatian (Latin) (Ljuba Rankovic <sr-localizer@campware.org>)
  10. Swedish (Erik Dalén <dalen@jpl.se>)

  A demo server was added which allows you to test-drive Campsite.
  You can access the demo administration interface here:
      http://campsite-demo.campware.org/admin
  and see the demo frontend here:
      http://campsite-demo.campware.org/

  Bugs Fixed
  ----------
  - Xinha can't handle more than 9 images in an article
  - Xinha subheads sometimes dont work
  - User creation date shows up incorrectly
  - Topics: Root topic language should default to login language
  - Parts of the Home page formatted wrong when there are no articles
  - Minor bug in localizer when installing
  - PHP notice in "Add new user type" (most users would never see it)
  - "65 or over" string not translated
  - 'Users' & 'Help' string in the main menu is not translated
  - Not all main menu items are escaped for javascript (caused the
    main menu not to show up in French)
  - Updated Manual with documentation for 2.5 features
  - The article indexer doesn't work with a blank database
  - Scripts from older versions of Campsite are not deleted
    automaticaly when upgrading. They are: autopublish, gather,
    notifyendsubs and notifyevents.


2.5.0 (March 6, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.5.0

  New Features
  ------------
  - Added ability to translate topics.
  - Added ability to create an article without placing it in the
    publication/issue/section hierarchy.
  - Added ability to move an article to another section
    (previously we had the ability to copy, but not move).
  - The Home page has a new layout to accommodate more detailed
    information and an increasing number of views of the workflow.
    It now displays publication/issue/section for all articles, and
    there is a new section to show articles which have not yet been
    placed in a publication/issue/section.
  - Added the ability to subscribe to a section of a specific language,
    instead of all languages in a section.
  - Added the ability to create an article-type field that lists
    topics in a dropdown list.
  - Added the ability to print only the first paragraph of a story.
  - Added Swedish translation.
  - Campsite no longer tries to install PEAR libraries on the system at
    install time, instead it will use the ones we have added to the
    release.  This will eliminate one of our main install problems.

  Added permissions:
  - User may move articles
  - User may translate articles
  - User may attach images to articles
  - User may attach topics to articles
  - User may change system preferences
  - User may use the "Find and Replace" button in the WYSIWYG
  - User may use the "Character Map" button in the WYSIWYG

  Minor Features
  --------------
  - Added backlinks to lots of screens to get back to where you
    came from.
  - Used javascript to validate lots of forms before they are
    submitted.
  - #1181: Differentiate between past and future events in Issue
    Scheduled Publishing
  - #1655: Provide confirmation on template save
  - #1666: Add an "Add Article" link to the Article Edit screen
  - #1672: Allow setting of HTML encoding from the template
  - #1719: If you adding an article from within a section, the
    language drop down should be populated with only the languages
    of the section.
  - #1722: Issue List scheduled publishing icon should change icon
    to green when enabled

  Bugs Fixed (41 total)
  ---------------------
  - Fixed many cases where something bad would happen if no input
    was given in a form. (#1768, #1754, #1747, #1746, #1737, #1726)
  - #1100: Possible to scheduled events in the past in Issue Scheduled
    Publishing
  - #1493: Xinha->add image: popup too small
  - #1605: When a large number of images are attached to any number of
    articles, any image function will hang the system.
  - #1660: Template editor eats "&nbsp;"
  - #1661: Consecutive "print" statements in the template language eat
    spaces around them
  - #1662: Encode HTML special chars in template engine output.  Affected
    keywords are Print, URL, Form, Search, User
  - #1677: Right now the search of an article can return a translation,
    even though the article in the current language exists.
  - #1687: If you sort the log by event, the user row in the table is
    empty
  - #1692: In the user subscription form the "Select User Country"
    statement does not work when the current language is not English.
  - #1694: Invalid error message displayed by the template engine when
    no issue was published
  - #1708: When changing the publication URL type in the admin interface
    the template engine does not receive the reset cache message.
  - #1712: The error message for "List <statement>" is missing Subtopic
    statement.
  - #1714: The "translate" shell script does not work.
  - #1715: Scheduled publishing does not work for Serbian language.
  - #1716: "If List Start" does not work inside "List ArticleAttachment"
  - #1718: Edit Issue: dont allow language to change to an existing
    translation
  - #1720: Changing issue language should change section's language
  - #1721: Configure issue -> preview -> popups a full browser window
    instead of small window
  - #1727: Section duplicate -> after duplicate, cant go to existing
    or new section
  - #1730: Article list -> add article -> article added at bottom of list
  - #1731: Translating an article into an unsupported language gives
    useless input dialogs if you dont have the right to create an
    issue or section.
  - #1732: Some functions in DatabaseObject do not properly escape
    column names
  - #1733: Issue list is not indented correctly if you dont have
    permission to add/change issues
  - #1745: Duplicate article -> dont select anything to duplicate
    -> crash
  - #1748: Cannot attach URL image to an article
  - #1751: Article -> add image -> you can upload something that isnt
    an image
  - #1752: Add existing image to article -> quirks switching from one
    sort to another
  - #1753: Image search -> setting "items per page" to zero gives
    strange behaviour
  - #1756: HTML special characters not escaped for file attachment
    descriptions
  - #1757: Topics with HTML special characters dont show up correctly
    in article edit
  - #1761: Topics with special characters not displayed correctly in
    "Attach topic" popup
  - #1769: Duplicating an article duplicates keeps the article order
    of the original. (New articles should be placed at the top of the
    list)
  - #1778: Fix subsription form in IE 6
  - #1780: Image sort - Last Modified sort cannot be reversed to sort
    the opposite direction
  - #1657: install.sh throws error on CentOS 4.x


2.4.3 (February 1, 2006)
  Bugs Fixed
  ----------
  - #1678: The article indexer doesn't work
  - #1683: Error changing an Issue's language
  - #1682: Update the default country list


2.4.2 (January 26, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.4.2

  Bugs Fixed
  ----------
  - #1652: Copying an article created by someone else keeps the
    orginal creator
  - #1651: Language names show up in English in "Article Add" screen and
    on the Home page under "Your Articles"
  - #1569: /usr/local/campsite/bin/notifyevents is sending malformed
    mail messages
  - #418: Non-published articles are shown in List article when Preview
    Mode is used
  - #1659: Error when you edit an issue configuration
  - #1674: Xinha on IE: Internal link popup window is too small
  - #1675: Turn on font face & font size for Xinha
  - #1670: Trying to duplicate a template shows an error (but still works)
  - #1663: Xinha "Subhead" button doesnt work in Internet Explorer
  - #1671: Automatic extensions for new template file names.


2.4.1 (January 13, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.4.1

  Bugs Fixed
  ----------
  - #1643: Fixed installation issue when installing from scratch
  - #1650: Template engine: "articleAttachment" attribute produces
    an error even if it's correct
  - #1649: In the Article List, using the "up" and "down" order icons
    will select the language of the article you moved.
  - #1647: The Article List formatting is messed up when you dont have
    the Add Article permission
  - #1644: No error messages shown in Article Type Add/Edit screen
  - #1642: Article List doesnt look good in IE
  - #1637: Article Edit: A date field is still looks editable when in
    VIEW mode
  - #1635: Home Page - Clicking on scheduled Issue time does not
    take you to editing the event


2.4.0 (January 10, 2006)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.4.0

  Major Features
  --------------
  - Ability to attach files to articles
  - Article Edit screen redesign
    - Images, topics, attachments, and publishing events are now shown
      alongside the article.  Adding these items has been vastly
      simplified.
  - Article List redesign
    - Ability to do actions on multiple articles at once (it has a
      similar interface to Gmail).
    - More information about each article is shown in the article list.
  - API for third party plugins (beta)
  - Simplified navigation
  - The template engine starts automatically and it can be restarted from
    the user interface.
  - The template engine is more user-friendly: when it encounters a
    critical error it displays a message instead of crashing.

  Minor Features
  --------------
  - Article copy: When duplicating an article, you can now duplicate
    any number of its translations, as well as give each translation
    a new name.
  - Article translation: When you translate an article and the issue
    and/or section do not exist in the translation language, you now have
    the ability to create them at the same time you create the article
    translation.
  - Scheduled Publishing: A javascript calendar has been added for
    selecting dates.
  - Image Archive: Simplified the search interface.  Your searches are
    now remembered.
  - Image archive: "View image" screen now shows all translations of
    articles that use the image.
  - Configuration screens for publications, issues, and sections now
    have all actions available.  Previously, most actions could only be
    accessed on the "list" screens.
  - Simplified the "Add Article" screen.
  - Staff list: Added a "User type" column to the staff list.
  - Subscribers list can be sorted by full name, account name and
    creation date.
  - WYSIWYG: Decreased the loading time for the editor.
  - WYSIWYG: The editor now works in Firefox 1.5.
  - Install maintenance binaries into the standard /usr/sbin directory.
  - Campsite can be installed in standard directories without generating
    conflicts. The Campsite instance utilities have globally acceptable
    names.

  Template Language Improvements
  -------------------------------
  - Added "PublishDate" to "print article" commands
  - Added "PublishDate" to "article list order" command
  - Added "CreationDate" to "article list order" command
  - Added "List ArticleTopic"
  - Added "List Subtopic"
  - Added "Article Number"
  - Added "If Article Number"

  Developers
  ----------
  - Admin interface Subversion repository files now mimic the installed
    directory structure.
  - User permissions have been refactored to allow for arbitrary
    additional user configuration variables
  - Localizer: Language files are now independent of specific
    directories.
  - Localizer: Added ability to move strings to different screens.
  - Removed all use of the M4 macro processing language.
  - Replaced PASSWORD function for generating the user password with SHA1.
  - Moved utility scripts into the implementation directory.

  Bugs Fixed
  ----------
  - Fixed bug where article events would still take place even if
    the Article was set back to 'New' from 'Submitted'
  - Fixed bug where an article would be placed in an arbitrary position
    when copied.
  - Fixed bug where trying to save the empty string in the WYSIWYG editor
    would actually save a "<BR>".
  - Fixed the template engine crash when the issue, section or article
    template was not set.


2.3.3 (October 31, 2005)
  For full details about these changes, see:
  http://code.campware.org/projects/campsite/query?milestone=2.3.3

  Minor features:
  - When pasting into WYSIWYG editor, all styles except bold and
    italic will be removed (#1501)
  - Added Arabic language (#1490)
  - Subsection anchors now have CSS tags so you can modify their
    appearance (#1313)
  - Added documentation on how to install as non-root user, how to use the
    "configure" and "create_instance" scripts, and how to logout a user on
    the frontend

  Bug fixes:
  - When displaying article content the internal links and the
    text following them are not displayed. (#1489)
  - "if user loggedin" does not work correctly for IP-based
    subscriptions (#1505)
  - Fixed minor security bug where it is possible to learn the MYSQL
    password if the attacker has the ability to snoop on outgoing
    emails (#1497)
  - Remove warnings when PHP_NOTICES is turned on. (#1515, #1498, #1494)
  - Whitespace in 'gather' cron script results in needless emails (#1507)
  - User IP address list management: can't add 127.0.0.1 (#1504)


2.3.2 (October 19, 2005)
  For full details about the changes in 2.3.2, see:
  http://code.campware.org/projects/campsite/query?milestone=2.3.2

  Minor features:
    #1484 -	Allow the use of article publish date in the template language
    #1391 - Screenshots for all administration steps in the manual

  Bug fixes:
    #1482 -	Packaged templates do not use 2.3 database
    #1480 - Duplicate Article does not copy "OnSection" field correctly
    #1456 - Escaping command line parameters with $'arg' and $"arg" does not work on FreeBSD
    #1471 - Install scripts break on Debian 3.1 (Sarge)
    #1470 -	Packaged templates need documentation, common layout
    #1486 -	Fatal error when opening the "Add new image" page
    #1476 -	Wrong error message when PEAR fails to update
    #1462 -	Campsite server returns error when restarting
    #1457 -	Preview doesn't work correctly for translated articles
    #1447 -	Upload date not set properly when duplicating articles
    #1414 -	Refresh templates every time they are displayed


2.3.1 (September 7, 2005)
    Bug fixes:
    - Ticket #1445 - Upgrade from 2.2 to 2.3 fails on MySQL 3.X
    - Ticket #705 - Image Archive: give an error on Invalid URL
    - Ticket #1291 - No error dialog popups up for article
    edit->images->add new->save
    - Ticket #1443 - Campsite utility scripts don't work when the binary
    directory is in the path
    - Ticket #1157 - Make Campsite work on PHP 5
    - Ticket #1436 - Fix 'about' link
    - Ticket #1442 - Translations are broken on Fedora Core 4
    - Ticket #1441 - Remove obsolete scripts from root HTML directory
    - Ticket #1438 - Compilation fails on Fedora 4.0
    - Ticket #1437 - Check in russian translation updates
    - Ticket #1312 - Admin login can't be done after a user login in same
    browser session
    - Ticket #1432 - Invalid template in article body internal links
    - Ticket #1429 - Article text fields are not visible on Fedora Linux
    - Ticket #1428 - Xinha SR language broken
    - Ticket #1424 - Admin interface doesnt work when run on a different port
    - Ticket #1398 - INSTALL file miss info about apache config
    - Ticket #1421 - Unsetting a context property does not delete the URL
    parameter
    - Ticket #1411 - PHP notices when running "create_instance"
    - Ticket #1401 - Install breaks if database password has a quote in it
    - Ticket #585 - IP access problem
    - Ticket #1408 - Can't change subscription status
    - Ticket #1400 - Configuring "instance advanced parameters" breaks when
    using defaults
    - Ticket #1403 - When upgrading an old instance the templates are not
    copied to the new HTML directory
    - Ticket #1402 - Apache user and group are not set properly when upgrading
    from 2.1
    - Ticket #1399 - Install prompts "0 - to exit" confusing
    - Ticket #1285 - Main menu behaviour change
    - Ticket #1207 - PHP notices appear in admin site
    - Ticket #1396 - Manual: Most internal internal links are broken
    - Ticket #1385 - Default Apache .conf file: add php_admin_value and *:80
    - Ticket #1386 - After create_instance, Connection refused (111)
    - Ticket #1387 - PHP "NOTICES" break Xinha
    - Ticket #1390 - Fix images in campsite manual
    - Ticket #1383 - Invalid path in admin directory gives no error
    - Ticket #1379 - create_instance parameters description

2.3.0 (August 1, 2005)
    2.3.0 New Features
    - User Management v2
        - #0307: Separation of Staff & Subscribers
        - Ability to search users
        - New, easier-to-use interface
        - #0764: Categorize user-rights list
    - Localizer v2
        - New, easier-to-use interface
        - Ability to translate from any language to any other language
        - Ability to change your default language
        - Notification of missing strings
        - Notification of unused strings
    - WYSIWYG Text editor
        - Editor changed from HTMLArea to Xinha, a more dynamically
          supported project
        - Added “Paste from Word” ability – will strip the MSWord styles
        - Internal links support “target”
    - #0710: Online help with user comments
    - #1115: Show recently published articles, pending actions on the
             home page
    - #0703: Article List: Show article lock state
    - #0781: Allow the user to set the default instance parameters
    - #0790: Login screen remembers your previous language choice
    - #0742: Language names now appear in native languages in all lists
    - #1052: Change all database text input fields to use 255 characters
             so as to support other languages better
    - #1077: Testing checklist
    - “Duplicate Section” screen useability improvements
    - #1185: Ability to delete all articles in a section when you delete
             the section
    - Works with SSL

    2.3.0 Major Bug Fixes
    - #1051: PHPWrapper broken
    - #0901: In Article List, articles should be shown newest first
    - #1132: Article Edit -> Topics -> Topics don't show & you cant
             add them
    - #0849: "Unlock" doesn't work
    - #0812: Duplicating a section is broken
    - #1273: If Scheduled Publishing cron job is stopped for any reason,
             scheduled actions may never be performed

    2.3.0 Minor Bug Fixes/Tweaks
    - #1280: When translating issues the URL name is not set
    - #0737: You should not have to fill in "currency" when you modify
             a publication
    - #1102: Change "Short Name" to "URL Name"
    - #1174: Change "Automatic Publishing" to "Scheduled Publishing"
    - #1098: No confirmation when deleting an Issue "automatic
             publishing" action
    - #1097: After publishing/unpublishing an issue, the confirmation
             message is exact opposite of what it should be
    - #0851: Clicking on the campsite logo should bring you "home"
    - #0850: Article -> Automatic Publishing -> Cancel -> error
    - #0844: Default image archive to show most recently added images
    - #0735: Translated issues are not grouped together
    - #1135: Article Edit -> Images-> Add existing -> edit -> save ->
             returns you to the article image list screen
    - #1131: Scheduled Publishing: When editing an entry, clicking
             "cancel" takes you to the article list
    - “Automatic Publishing” changed to “Scheduled Publishing”
    - #1190: Deleting an article from article list moves you back to the
             beginning of the article list
    - #1304: If "Manage templates" permission is OFF, and "Delete
             Templates" permission is ON, you cant get to template screen

2.2.2 (April 29, 2005)
    - updated FreeBSD install documentation
    - updated the manual (added extra information about upgrading from older
    versions)
    - fixed install bugs:
        - use short options on install utility (FreeBSD version doesn't support
        long options)
        - fixed modules configuration bug (didn't check the settings for each
        module)
        - updated dependecies on installed libraries/utilities
        - select the correct make utility on FreeBSD
        - removed obsolete code
        - make the CLI compatible to FreeBSD style
        - set the editor new rights for all staff users
        - install and upgrade needed PEAR packages
        - fixed blank page bug (sometimes users got a blank page)
        - set the thumnail path correctly when upgrading the images
        - image archive didn't work for instances, except the default one
        - copy the short name and default templates when duplicating sections
    - other:
        - minor Fedora related bugs
        - minor template engine bugs

2.2.1 (April 23, 2005)
    - bugs #0748, #0779: Installation fixes for FreeBSD, Fedora, & Ubuntu
    - bug #0882: Image Manager doesn't work when changing default installation
    settings.
    - bug #0807: Initialize the HTMLArea rights
    - bug #0848: Cannot upgrade Images table if database is on remote server
    - bug #0963: "print image <number> description" doesn't work
    - bug #0728: Gracefully handle the case when PEAR isn't in the path

2.2.0 (April 14, 2005)
    - Improve management of multiple instances of CAMPSITE on a single server
    (new instances can be created without reinstalling Campsite)
    - Allow editors/journalists to change and set the order of articles
    - New handling of Images (and other Multimedia)
    - Automatic publishing/removal of selected articles without human
    intervention at a specified date and time
    - Publication site aliases: aliases allow Campsite to identify a
    publication based on multiple domain names
    - Shorter, Search Engine-Friendly URLs: the user has the choice of old
    type URLs or new, shorter URLs
    - Replaced the Campfire Java applet with the JavaScript-based HTMLArea.
    This will allow users to input and edit articles without having to
    download and install the Java VM and Campfire applet. It will also allow
    additional features such as image display inside the article.
    - New admin interface (pretty icons, dropdown menu, no more frames)

2.1.8 (April 24, 2005)
    - Installation fixes for Fedora & Ubuntu

2.1.7 (April 11, 2005)
    - Implemented "Print Topic Identifier" and "Print User Identifier"
    - Check if cookies were modified in a certain way to allow invalid user login
    - Do not allow operations outside look directory for the following scripts:
        - template list script
        - template edit script
        - template save script
        - template create script
        - template duplicate script
        - template upload script
        - template delete script
        - directory create script
        - directory delete script

2.1.6 (February 9, 2005)
    - Implemented new "Topic", "If Topic" and "Print Topic" statements
    - Added new environment attribute: topic; this affects articles lists and
    is forwarded as an URL parameter
    - Added new attributes to "List Issue" statement
    - Many bug fixes

2.1.5 (March 26, 2004)
    - Added Chinese translation thanks to Andrew Lih and Tian Fawei at Hong Kong
    University, Journalism and Media Studies Centre
    - Added Arabic localization (thanks to folks at www.rightsmedia.org in
    Lebanon)
    - Implemented article/section duplication feature
    - Implemented a small extension API in order to allow the Phorum modules to
    work with campsite (thanks to Sebastian Goebel)
    - Implemented ordering by name in issues and articles lists
    - Added a technical FAQ for troubleshooting
    - Added Arabic translation
    - Many bug fixes

2.1.4 (October 20, 2003)
    - Changed the image buttons to text buttons which are easy to translate
    - Fixed bug 178: Some admin rights not added by default when admin account
    created
    - Improved the manual (2.1. Configuring the publishing environment)
    - Improved the template parser behavior: display error message when an
    invalid template was included (previously it would display an empty page)
    - Other bug fixes

2.1.3 (July 8, 2003)
    - Manual updates: some statements were not documented: "If Search"
    (3.9.3.22), "Print Search" (3.9.4.2), "If Subtitle" (3.9.3.23); manual
    corrections
    - Parser used to abort improperly when it couldn't resolve the allowed hosts
    name
    - Increased the maximum keyword length in the search engine
    - Fixed memory leaks (used valgrind to detect them)
    - Added Firebird specific article body field edit script
    - Modified the subtitle printing behavior: printing the field inside the
    subtitle list will display the current subtitle in the list instead of the
    subtitle set at the beginning of the template

2.1.2 (April 23, 2003)
    - Ported campsite to FreeBSD (thanks to Richard Airlie)
    - Started the port to OpenBSD (thanks to Richard Airlie)
    - Small bug fixes
    - Manual updates relative to the FreeBSD port
    - Manual update: 2.1.4 User management: write about the admin user and it's
    use in email notifiers
    - Small template language improvements: ability to specify the image number
    when printig image attributes (3.9.4.2 Print), accept empty strings as
    identifiers
    - Added Portuguese translation (thanks to Guilherme Henrique Soares)
    - Replaced AUTHORS with updated CREDITS file

2.1.1 (February 21, 2003)
    - Added new languages: Serbian (Cyrillic), Spanish, Bosnian and updated
    the other translations
    - Improved template management user interface; allow users whithout write
    right to view the template
    - Login file checks for guest_include.php; if found, it is included
    - Fixed bug 86 (at install time the script checks for apache user instead
    of group; if user and group are not the same it fails)
    - Implemented subscription update feature: update subscriptions automatically
    when adding/deleting subscriptions to/from issues
    - Improved the manual: detailed database conversion, corrections
    - Other bug fixes

2.1.0 (November 10, 2002)
    - The application is divided into modules that can be installed on
    different systems (increased scalability)
    - Multiple instances of campsite can be installed on the same system
    - Campsite is more configurable: connection to database, install
    directories, smtp server etc. can be configured by install scripts
    - New, improved install scripts: detect necessary dependencies (libraries,
    headers, binaries etc.), configure application, test configuration, select
    modules etc.
    - Ported the administration interface from www-sql to Php
    - Use UTF-8 charset all over the application (database, admin interface,
    templates, parser, java editor)
    - Added the localizer: a tool allowing the users to translate the admin
    interface into different languages and select the language of the interface
    at login time
    - Improved template management module: create and edit files remotely,
    duplicate them on the server, save them on the local system
    - Improved image management module: add old image feature, search engine.
    - Improved authorization and access system: fixed security bug, added new
    user type
    - Improved usability: ease the deletion of issues, add all sections to a
    subscription at once, copy issue structure on translation etc.
    - New module: topics. An article can have zero-more topics. Topics can be
    structured in a hierarchy. E.g.: sport topic can have football, tennis,
    basketball etc. as subtopics
    - Other small enhancements and bug fixes on administration interface
    - Template language improvements: more operators, more attributes added to
    If and List statements, the possibility to use dynamic fields in If Article
    and List Article statements etc.
    - Set default subscription time per publication (independent of the
    country)
    - New, improved article editor: Campfire 2.0
    - Administration interface translated into Russian, German, Romanian,
    Serbo-Croatian and Czech languages
    - Added an exhaustive list of countries to campsite database


2.0.12 (October 29, 2001)
    - Set login username/password fields to size 10
    - Add If Language statement (see manual: 3.9.1.26)
    - Updated manual: added With statement description: 3.9.1.27
    - Fixed content type/charset string to work for netscape browser

2.0.11 (August 9, 2001)
    - When adding a new subscription to a publication add the sections too
    - Admin interface, subscription-section: the section is now selectable
    from a list instead of letting you type the section number
    - Admin interface, subscription-section: print the name of the section
    name instead of the number
    - New text only editor for article body type fields
    - Admin interface: print more sections per page (20)
    - Admin interface: print the description for date-type fields (YYYY-MM-DD)
    - When deleting article: delete the links from search keywords to articles
    too
    - Admin interface: adding new issue detects if there was an old structure
    or not and selects the appropriate link accordingly
    - The newly added articles are Public to everybody (not just to subscribers)
    by default.
    - Admin interface: on adding new images forward the current language
    identifier
    - New statement in template language: If Image <number>; tests if image
    <number> exists
    - If statements in template language can be negated: If not
    - The parser server updates automatically the article types from the database
    (in case they were modified)
    - Fixed event notify bug: mailnotify used to send all the email to the event
    originator
    - Order can be used now in Issue, SearchResult and Article lists
    - Fixed parser crash bug: when encountered invalid identifier for Language,
    Publication, Issue, Section, Article, Print, If, Subscription, Edit
    - Fixed parser bug: on Issue statement select the current issue according to
    access rights
    - Added more debug information on Local statement
    - Fixed bug on template list: didn't print properly file names containing spaces
    - Small enhancement on template list: print files/directories in alphabetical
    order
    - Fixed small bug on install/uninstall scripts
    - Fixed parser crash on empty search
    - Fixed login/subscription password field size
    - Select the publication language when adding a new issue or article
    - Fixed bug: listing subscription sections showed section from all the
    publication (not just the selected one)
    - Fixed subscription process bug: the parser doesn't process subscription
    statement when modifying/updating the subscription
    - Fixed notification of subscription end bug
    - Fixed reading ALT image property in article body
    - Fixed some incorrect parser hash locks
    - Fixed incorrect use of is, not, greater, smaller operators in if statements

2.0.10 (July 24, 2001)
    - Fixed the 'Back to article details' bug
    - Removed the weird message from 'Old images'
    - Fixed the language selection in lists bug

2.0.9 (July 3, 2001)
    - Fixed incorrect timestamp update on event notify
    - Fixed mysqlclient library link problem on RedHat systems

2.0.8 (June 18, 2001)
    - Fixed internal links bug (select proper template according to link
    publication)
    - Fixed incorrect parsing of "list ... article ... keyword <keyword>" bug

2.0.7 (May 14, 2001)
    - Small bugfixes

2.0.6 (April 5, 2001)
    - Fixed search list order bug. The parser did not list in the requested
    order the list of searched articles

2.0.1-2.0.5
    - Fixed install bugs

2.0.0 (March 13, 2001):
    - New items: README, implementation/tpl_cgi, documentation/example,
    documentation/http-config
    - General:
        - Changed Makefiles in order to compile on Redhat 7.0
        implementation/parser:
        - The parser is now campsite_server, a multithreaded daemon
        - Made campsitectl (start, stop, restart, show status) campsite_server
        - Made campsite rc script for Sys V like systems (ex. RedHat)
        - Made install script to install campsitectl, campsite scripts for
        automatic start of campsite_server on system startup
        - The parser prints formatted date, month name (mon_name) and weekday
        name (wday_name) in current language (not in English only)
    - documentation:
        - Updated campsite-guide (changes made on: URLParameters, Print Issue
        Article Image Subscription, Date)
    - implementation/tpl_cgi:
        - This is a small cgi; it receives requests, connects to
        campsite_server, read the response from campsite_server and forwards
        the response (HTML page)
